Jump to content

Error upgrading 4.7.1


Daddy
 Share

Go to solution Solved by Daddy,

Recommended Posts

When going to the upgrade page this is all I get. I've disabled all plugins, apps and custom themes with no luck

Could contain: Text, Home Decor

array_keys(): Argument #1 ($array) must be of type array, null given
Edited by Daddy
Link to comment
Share on other sites

14 minutes ago, Marc Stridgen said:

I have created a ticket on this for you. However your access details are incorrect. Please update those, then respond to the ticket once you have done this

Updated

Link to comment
Share on other sites

7 minutes ago, Marc Stridgen said:

Unfortunately your FTP is not working correctly. It cannot be listed. 

Please respond on your ticket/email, rather than here. 

Done. Also I checked the database in applications since that's where the error seems to happen and I noticed the app author for nexus was null in the DB. I fixed that but the error persists.

I checked my other install and it's getting the same error and the app author is also null there. I wont attempt to upgrade the second install obviously but thought this would be useful.

Could contain: Number, Text, Symbol, Plot, Word, Diagram

Link to comment
Share on other sites

5 minutes ago, Daddy said:

I'm all fixed up! Ended up being an issue with a 3rd party application

Just a question. You had this issue upgrading allthough all plugins and apps was disableD?

How could we that have not upgraded yet don't come in the same situation. Seems to me like this latest realease has a lot of problems..

Link to comment
Share on other sites

  • Solution
Posted (edited)
1 minute ago, Kjell Iver Johansen said:

Just a question. You had this issue upgrading allthough all plugins and apps was disableD?

How could we that have not upgraded yet don't come in the same situation. Seems to me like this latest realease has a lot of problems..

Apparently the update process still checks the version data for all apps regardless if enabled. One of them had invalid Json causing the error. It was the Steam app

Edited by Daddy
Link to comment
Share on other sites

9 minutes ago, Daddy said:

I'm all fixed up! Ended up being an issue with a 3rd party application. Thanks @Marc Stridgen

hide GIF

No problem. Glad to hear you had the issue resolved.

 

1 minute ago, Kjell Iver Johansen said:

Just a question. You had this issue upgrading allthough all plugins and apps was disableD?

How could we that have not upgraded yet don't come in the same situation. Seems to me like this latest realease has a lot of problems..

While they are disabled, that doesnt remove the files themselves. In this case, it was a file causing an issue.

Im not sure on the conclusion you have come to with the release. It was only released 2 hours ago

Link to comment
Share on other sites

Just now, Marc Stridgen said:

Im not sure on the conclusion you have come to with the release. It was only released 2 hours ago

I meant the latest main release.

This x.x.1 release comes in early with fixes and that is great. I have as a routine not to upgrade before I get the red banner on my sites, and just fine that the authors here get their sites up and running. 

Link to comment
Share on other sites

5 minutes ago, Kjell Iver Johansen said:

I meant the latest main release.

This x.x.1 release comes in early with fixes and that is great. I have as a routine not to upgrade before I get the red banner on my sites, and just fine that the authors here get their sites up and running. 

To be honest, its actually been quite a stable release considering the changes that have been made on the platform. Of course waiting till x.x.1 is fine, and many people do. 

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...